commit a03aae8d9f5dbfe3ca3dbfe7eadc6bbe6fbbe1bc
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Jan 5 15:06:43 2022

    libstdc++: Fix std::error_code pretty printer for versioned namespace
    
    libstdc++-v3/ChangeLog:
    
            * python/libstdcxx/v6/printers.py (StdErrorCodePrinter): Strip
            versioned namespace from the type name that is printed.
    
    (cherry picked from commit 1918067e2d0d79ccaf1e4ed98096060fc235e772)

diff --git a/libstdc++-v3/python/libstdcxx/v6/printers.py b/libstdc++-v3/python/libstdcxx/v6/printers.py
index c5072c52281..66fb1ce4dd9 100644
--- a/libstdc++-v3/python/libstdcxx/v6/printers.py
+++ b/libstdc++-v3/python/libstdcxx/v6/printers.py
@@ -1522,7 +1522,7 @@ class StdErrorCodePrinter:
 
     def __init__ (self, typename, val):
         self.val = val
-        self.typename = typename
+        self.typename = strip_versioned_namespace(typename)
         # Do this only once ...
         if StdErrorCodePrinter._errno_categories is None:
             StdErrorCodePrinter._errno_categories = ['generic']

